curl --request GET \
--url 'https://api.scanova.io/lead/L9c2f4a1e/entry/?ordering=-created' \
--header 'Authorization: YOUR_API_KEY'
{
"count": 14,
"next": "https://api.scanova.io/lead/L9c2f4a1e/entry/?page=2",
"previous": null,
"results": [
{
"id": "4e6a9b2c-0f77-4d1a-9c6e-3a2b7f9d1e40",
"lead_list_id": "L9c2f4a1e",
"qr_code_id": "Q7f3a",
"data": [{ "question": "Email", "answer": "alice@example.com" }],
"tracking_data_id": "8b1d4e2a-1c3f-4a9d-9e21-5f6a7b8c9d10",
"created": "2026-09-01T10:03:12.552000+05:30"
}
]
}
العملاء المحتملون والنماذج
سرد إدخالات العملاء المحتملين
GET /lead//entry/
GET
/
lead
/
{lead_id}
/
entry
/
curl --request GET \
--url 'https://api.scanova.io/lead/L9c2f4a1e/entry/?ordering=-created' \
--header 'Authorization: YOUR_API_KEY'
{
"count": 14,
"next": "https://api.scanova.io/lead/L9c2f4a1e/entry/?page=2",
"previous": null,
"results": [
{
"id": "4e6a9b2c-0f77-4d1a-9c6e-3a2b7f9d1e40",
"lead_list_id": "L9c2f4a1e",
"qr_code_id": "Q7f3a",
"data": [{ "question": "Email", "answer": "alice@example.com" }],
"tracking_data_id": "8b1d4e2a-1c3f-4a9d-9e21-5f6a7b8c9d10",
"created": "2026-09-01T10:03:12.552000+05:30"
}
]
}
يسرد الإرساليات (“الإدخالات”) التي جمعها نموذج قائمة عملاء محتملين.
يتطلب مفتاح واجهة برمجة تطبيقات إدارة بحصة
MANAGEMENT_API (أو MANAGEMENT_API_SANDBOX) وصلاحية LEAD_GENERATION_ENTRY_CAN_VIEW، يُرسَل كقيمة خام لترويسة Authorization — راجع نظرة عامة على واجهة برمجة التطبيقات للإدارة.string
مطلوب
معرّف
lead_id لقائمة العملاء المحتملين.string
يصفّي الإدخالات المُرسَلة عبر رمز QR محدد، حسب
qrid.string
الإدخالات التي أُنشئت في هذا التاريخ أو بعده فقط (
YYYY-MM-DD).string
الإدخالات التي أُنشئت في هذا التاريخ أو قبله فقط (
YYYY-MM-DD).string
بحث عن سلسلة فرعية عبر جميع قيم الحقول المُرسَلة — بما أن حقول نموذج العملاء المحتملين مُعرَّفة من قِبل المسؤول لكل قائمة، لا يوجد عمود ثابت للبحث، لذا يطابق هذا في أي مكان ضمن البيانات الخام للإدخال.
string
created أو -created. القيمة الافتراضية هي -created.integer
رقم الصفحة.
curl --request GET \
--url 'https://api.scanova.io/lead/L9c2f4a1e/entry/?ordering=-created' \
--header 'Authorization: YOUR_API_KEY'
{
"count": 14,
"next": "https://api.scanova.io/lead/L9c2f4a1e/entry/?page=2",
"previous": null,
"results": [
{
"id": "4e6a9b2c-0f77-4d1a-9c6e-3a2b7f9d1e40",
"lead_list_id": "L9c2f4a1e",
"qr_code_id": "Q7f3a",
"data": [{ "question": "Email", "answer": "alice@example.com" }],
"tracking_data_id": "8b1d4e2a-1c3f-4a9d-9e21-5f6a7b8c9d10",
"created": "2026-09-01T10:03:12.552000+05:30"
}
]
}
id هو UUID الإدخال (يُستخدم كـ pk في أطراف الجلب/الحذف أدناه)، ويشير lead_list_id/qr_code_id إلى قائمة العملاء المحتملين الأصلية ورمز QR المُرسِل عبر معرّفاتهما النصية (lead_id/qrid)، وليس المعرّفات الرقمية. يُعاد 404 إذا لم يكن lead_id يملكه هذا الحساب.
ذو صلة
- جلب إدخال عميل محتمل — الحصول على التفاصيل الكاملة لإدخال واحد.
- تصدير إدخالات العملاء المحتملين — تنزيل الإدخالات كملف CSV/XLSX.
- نظرة عامة على واجهة برمجة التطبيقات للإدارة — مخطط المصادقة وبنية الحصص التي ينتمي إليها هذا الطرف.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200
Paginated list of lead submissions.
هل كانت هذه الصفحة مفيدة؟